# ESTKme-RED 智能卡读卡器固件升级注意事项

## 自动的固件升级

1. 请确保 ESTKme-RED 中有卡片。
2. 请确保 ESTKme-RED 已经连接至电脑。
3. 运行如下程序：
    1. Windows 请运行 `dfu.bat`。
    2. macOS 或 Linux 请运行 `dfu.command`。
4. 您的 ESTKme-RED 将依次亮起 蓝、绿、红 指示灯，表示此时 ESTKme-RED 已进入固件更新模式。
5. 在显示 “Please re-plug ESTKme-RED” 时重新插拔 ESTKme-RED 即可正常使用。

## 手动的固件升级

若您在尝试运行 “自动的固件升级” 后，并未发现您的 ESTKme-RED 将依次亮起 蓝、绿、红 指示灯，表示您的 ESTKme-RED 未进入固件更新模式。

您可以按以下方式进行操作：

1. 依照 <https://imgur.com/a/mWkndSY> 图中所示方法短接并保持连接电脑。
2. 您的 ESTKme-RED 将依次亮起 蓝、绿、红 指示灯。
3. 再次依照 “自动的固件升级” 指示运行相应的程序。

## 致 macOS 用户

由于 macOS 的安全机制，您请在运行前阅读 <https://support.apple.com/zh-cn/guide/mac-help/mh40616/mac> 并按指示操作。
